[Development] Proposing CMake as build tool for Qt 6

Kevin Kofler kevin.kofler at chello.at
Sat Jun 15 09:56:58 CEST 2019


Bogdan Vatra via Development wrote:
>   According to https://code.qt.io/cgit/qt/qtbase.git/tree/CMakeLists.txt?
> h=wip/cmake#n1 Qt needs CMake *3.15.0* which is not even released. This
> means you'll need *NEXT* Ubuntu LTS (20.04?) to build Qt, this means we
> should put Qt6 on pause until 2022 :).

At least that would give us 2 more years (than currently planned, i.e., 3 
more years from now) until the API and ABI break that breaks all our code 
yet again, so that wouldn't be a bad thing IMHO. :-)

        Kevin Kofler



More information about the Development mailing list